<?php
/**
 * XAJAX functions for the translation module
 * 
 * @copyright GPL (http://www.gnu.org/copyleft/gpl.html)
 * @author Ken De Volder for Vitzo Limited (www.vitzo.com)
 */

/**
 * Delete a translation and reflect this on the page if successful.
 * 
 * @param string ID of the translation to delete
 * @param string Language code - use % as wildcard
 */
function deleteTranslation($lid, $lang)
{	
	$xajax = new xajaxResponse();
	
	if (db_query("DELETE FROM locales_target WHERE lid = $lidAND language = '$lang';"))
	{
		//$xajax->script("document.getElementById('row_$lid').style.display = 'none';");
		$xajax->script("$('#trl_$lid').replaceWith('".t("Deleted")."');");
	}
	
	return $xajax;
}

/**
 * Change fuzzy value of a translation and reflect this change on the page if successful.
 * You must define FULL_PATH for this function to locate the following images:
 * 
 *  /img/fuzzy0.png if fuzzy is enabled
 *  /img/fuzzy1.png if fuzzy is disabled
 * 
 * @param string ID of the translation to delete
 * @param string Language code - use % as wildcard
 */
function changeFuzzySetting($lid, $lang)
{
	$xajax = new xajaxResponse();
	
	$where = "WHERE lid = $lid AND language = '$lang'";
	
	$fuzzy = db_fetch_var("SELECT fuzzy FROM locales_target $where;");
	$value = $fuzzy?"0":"1"; // Invert the boolean value
	$image = $value; // Select the correct image
	
	if (db_query("UPDATE locales_target SET fuzzy = $value $where;"))
	{
		$uri = FULL_PATH."/img/fuzzy$image.png";
		$xajax->script("document.getElementById('fuzzy_$lid').src = '$uri';");
		
		//$fuzzy_new = db_fetch_var("SELECT fuzzy FROM locales_target $where;");
		//$xajax->alert("LID: $lid, FUZZY: $fuzzy -> $fuzzy_new, VALUE: $value, IMAGE: $image");
	}
	
	return $xajax;
}